Hooks:PostHook(SkillTreeTweakData, "init", "SociopathRework_SkillTreeTweakData", function(self)

    --Default perk decks.
	local deck2 = {
		upgrades = {
			"weapon_passive_headshot_damage_multiplier"
		},
		cost = 300,
		icon_xy = {1, 0},
		name_id = "menu_deckall_2",
		desc_id = "menu_deckall_2_desc"
	}
	local deck4 = {
		upgrades = {
			"passive_player_xp_multiplier",
			"player_passive_suspicion_bonus",
			"player_passive_armor_movement_penalty_multiplier"
		},
		cost = 600,
		icon_xy = {3, 0},
		name_id = "menu_deckall_4",
		desc_id = "menu_deckall_4_desc"
	}
	local deck6 = {
		upgrades = {
			"armor_kit",
			"player_pick_up_ammo_multiplier"
		},
		cost = 1600,
		icon_xy = {5, 0},
		name_id = "menu_deckall_6",
		desc_id = "menu_deckall_6_desc"
	}
	local deck8 = {
		upgrades = {
			"weapon_passive_damage_multiplier",
			"passive_doctor_bag_interaction_speed_multiplier"
		},
		cost = 3200,
		icon_xy = {7, 0},
		name_id = "menu_deckall_8",
		desc_id = "menu_deckall_8_desc"
	}
    
    local new_sociopath = {
        name_id = "menu_st_spec_9",
        desc_id = "menu_st_spec_9_desc",
        dlc = "hlm2_deluxe",
        {
            upgrades = {
                "player_damage_dampener_close_contact_sociopath"
            },
            cost = 200,
            icon_xy = {3, 4},
            name_id = "menu_deck9_1",
            desc_id = "menu_deck9_1_desc"
        },
        deck2,
        {
            upgrades = {
                "player_passive_dodge_chance_sociopath",
                "player_passive_sociopath_health_reduction",
                "player_passive_sociopath_armor_reduction"
            },
            cost = 400,
            icon_xy = {0, 5},
            name_id = "menu_deck9_3",
            desc_id = "menu_deck9_3_desc"
        },
        deck4,
        {
            upgrades = {
                "player_sociopath_ammo_penalty",
                "player_sociopath_ammo_pickup_multiplier"
            },
            cost = 1000,
            icon_xy = {1, 5},
            name_id = "menu_deck9_5",
            desc_id = "menu_deck9_5_desc"
        },
        deck6,
        {
            upgrades = {
                "player_killshot_close_panic_chance",
                "player_killshot_close_regen_armor_bonus"
            },
            cost = 2400,
            icon_xy = {2, 5},
            name_id = "menu_deck9_7",
            desc_id = "menu_deck9_7_desc"
        },
        deck8,
        {
            upgrades = {
                "player_melee_kill_movement_speed",
                "player_sociopath_melee_damage_multiplier",
                "player_melee_kill_life_leech",
                "player_passive_loot_drop_multiplier"
            },
            cost = 4000,
            icon_xy = {3, 5},
            name_id = "menu_deck9_9",
            desc_id = "menu_deck9_9_desc"
        }
    }
    
    self.specializations[9] = new_sociopath

end)