Hooks:PostHook(UpgradesTweakData, "_init_pd2_values", "SociopathReworkUpgradeValues", function(self)

    self.values.sociopath_distance = 300    
    self.values.player.passive_sociopath_dodge_chance = {
        0.4
    }
    self.values.player.passive_health_multiplier_penalty = {
        0.5
    }
    self.values.player.passive_armor_multiplier_penalty = {
        0.75
    }
	self.values.temporary.melee_kill_movement_speed = {
		{1.2, 5}
	}
    
    self.values.player.sociopath_melee_damage_multiplier = {2}
    
    self.values.player.ammo_penalty_multiplier = {0.25}
    
    self.values.player.ammo_pickup_multiplier = {1.5}

end)

Hooks:PostHook(UpgradesTweakData, "_player_definitions", "SociopathReworkUpgradeDefinitions", function(self)
        
	self.definitions.player_damage_dampener_close_contact_sociopath = {
		category = "temporary",
		name_id = "menu_player_dmg_dampener_close_contact",
		upgrade = {
			category = "temporary",
			upgrade = "dmg_dampener_close_contact",
			value = 1
		}
	}
    
	self.definitions.player_passive_dodge_chance_sociopath = {
		category = "feature",
		name_id = "menu_player_passive_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "passive_sociopath_dodge_chance",
			value = 1
		}
	}
    
    self.definitions.player_passive_sociopath_health_reduction = {
		category = "feature",
		name_id = "menu_player_health_penalty",
		upgrade = {
			category = "player",
			upgrade = "passive_health_multiplier_penalty",
			value = 1
		}
	}
    
    self.definitions.player_passive_sociopath_armor_reduction = {
		category = "feature",
		name_id = "menu_player_armor_penalty",
		upgrade = {
			category = "player",
			upgrade = "passive_armor_multiplier_penalty",
			value = 1
		}
	}
    
    self.definitions.player_melee_kill_movement_speed = {
		category = "temporary",
		name_id = "menu_player_melee_movement_speed",
		upgrade = {
			category = "temporary",
			upgrade = "melee_kill_movement_speed",
			value = 1
		}
	}
    
    self.definitions.player_sociopath_melee_damage_multiplier = {
		category = "feature",
		name_id = "menu_player_melee_damage_multiplier",
		upgrade = {
			category = "player",
			upgrade = "sociopath_melee_damage_multiplier",
			value = 1
		}
	}
    
    self.definitions.player_sociopath_ammo_penalty = {
		category = "feature",
		name_id = "menu_player_ammo_penalty",
		upgrade = {
			category = "player",
			upgrade = "ammo_penalty_multiplier",
			value = 1
		}
	}
    
    self.definitions.player_sociopath_ammo_pickup_multiplier = {
		category = "feature",
		name_id = "menu_player_ammo_penalty",
		upgrade = {
			category = "player",
			upgrade = "ammo_pickup_multiplier",
			value = 1
		}
	}
    
end)